pqxx::internal::namedclass Class Reference

`#include <util.hxx>`

Inheritance diagram for pqxx::internal::namedclass:

## Public Member Functions

| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Constructor & Destructor Documentation

## namedclass()

pqxx::internal::namedclass::namedclass | ( | const std::string & | Classname,
|  | const std::string & | Name = `""`
| ) |  |

## Member Function Documentation

## classname()

const std::string& pqxx::internal::namedclass::classname | ( |  | ) | const
throw | ( |
| ) |  |

References pqxx::internal::CheckUniqueRegistration(), and pqxx::internal::CheckUniqueUnregistration().

## description()

string pqxx::internal::namedclass::description | ( |  | ) | const

Referenced by pqxx::transaction_base::abort(), pqxx::internal::CheckUniqueRegistration(), pqxx::internal::CheckUniqueUnregistration(), pqxx::transaction_base::commit(), pqxx::transaction_base::End(), pqxx::transaction_base::exec(), pqxx::transaction_base::quote_raw(), and pqxx::transaction_base::~transaction_base().

## name()

const std::string& pqxx::internal::namedclass::name | ( |  | ) | const
throw | ( |
| ) |  |

Referenced by pqxx::basic_transaction::basic_transaction(), pqxx::subtransaction::subtransaction(), and pqxx::basic_robusttransaction::~basic_robusttransaction().

The documentation for this class was generated from the following files:

- util.hxx
- util.cxx